Bug 118547 - Lock mark on protected sheet tab disappears when entering wrong password
Summary: Lock mark on protected sheet tab disappears when entering wrong password
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.2.0 target:6.1.0.2 target:6....
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-05 10:49 UTC by pavelz
Modified: 2018-08-17 12:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pavelz 2018-07-05 10:49:56 UTC
Description:
Lock mark on protected sheet tab disappears when entering wrong password


Steps to Reproduce:
1. Create a new sheet and protect it with a non-empty password, e.g. right click on the sheet tab, select Protect Sheet from the context menu and enter the password.
2. The sheet becomes protected and the lock mark appears on the sheet tab.
3. Tick off the sheet protection, but enter a wrong password.


Actual Results:
The message that the password is wrong is shown and the sheet remains protected, but the lock mark on the sheet tab disappears.

Expected Results:
The lock mark on the sheet tab should persist.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Julien Nabet 2018-07-05 20:35:10 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Xisco Faulí 2018-07-06 08:53:00 UTC
The feature was added in https://cgit.freedesktop.org/libreoffice/core/commit/?id=5fccf17f33aa7e97314c14a5a4616b2f2643614c

@Gulsah Kose, I thought you could be interested in this issue...
Comment 3 Xisco Faulí 2018-07-06 09:04:59 UTC
Submitted a patch to gerrit: https://gerrit.libreoffice.org/#/c/57044/
Comment 4 Commit Notification 2018-07-06 12:27:36 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3a732a11c320b98e31dad79f421d4d73f33a15b

tdf#118547: Remove lock mark only if password is correct

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-07-06 15:12:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7eba8e98508d547f43fecbe3175a11a05956b30a

Related: tdf#118547 handle multi-sheet un-/protect, tdf#95880 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-07-06 20:12:42 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16fcf30fa53a55fdcd82826fd4d73bbd1b6bd883&h=libreoffice-6-1

tdf#118547: Remove lock mark only if password is correct

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-07-06 20:20:29 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3eeb0096ac7c5beb48441eabc032cde38745a549&h=libreoffice-6-1

Related: tdf#118547 handle multi-sheet un-/protect, tdf#95880 follow-up

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-07-07 11:41:48 UTC
Closing this as RESOLVED FIXED

@Eike, thank you very much for finding other corner cases of this bug and fixing them as well.

Patch for 6-0: https://gerrit.libreoffice.org/#/c/57091/
Comment 9 Commit Notification 2018-07-08 20:37:45 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc9c326c378f252df83aa90a61df51a60d574c8c&h=libreoffice-6-0

tdf#118547: Remove lock mark only if password is correct, tdf#95880 follow-up

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Timur 2018-08-14 15:21:50 UTC
We have an opposite situation now:
when we unprotect sheet, lock mark remains and is not removed.
Comment 11 Julien Nabet 2018-08-14 20:04:46 UTC
(In reply to Timur from comment #10)
> We have an opposite situation now:
> when we unprotect sheet, lock mark remains and is not removed.

I submitted a patch on gerrit about this:
https://bugs.documentfoundation.org/show_bug.cgi?id=118547#c10
Comment 12 Commit Notification 2018-08-15 07:22:03 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d064ced9e9db3f924dd954b86c40f21addab1c68

Related tdf#118547: Lock mark on protected sheet tab

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Xisco Faulí 2018-08-15 09:38:41 UTC
(In reply to Timur from comment #10)
> We have an opposite situation now:
> when we unprotect sheet, lock mark remains and is not removed.

Which are the steps to reproduce it ?
Comment 14 Julien Nabet 2018-08-15 09:41:58 UTC
Xisco: protect sheet with a password and you'll see the lock sign (OK)
Remove protection by entering the right password, the sheet will unprotected but the lock sign will still be there (KO)
Notice that if you add another sheet, the protection sign of the unprotected sheet will disappear.

If you need more precise step by step process, don't hesitate.
Comment 15 Commit Notification 2018-08-16 09:54:05 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99762024dc5a2d5514c517c96c588949e30328b7&h=libreoffice-6-1

Related tdf#118547: Lock mark on protected sheet tab

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2018-08-16 21:38:13 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24a30e5bde07cf168c30adadb417ba002818970b

Related tdf#118547: don't change protection symbol if nTab == TABLEID_DOC

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2018-08-17 05:17:32 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30c178dcb3301527ad92bbd245d1525ab77e314e&h=libreoffice-6-1

Related tdf#118547: don't change protection symbol if nTab == TABLEID_DOC

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2018-08-17 12:11:06 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb63a622cb843d2d0178bc26ff35d9b17deaee5a&h=libreoffice-6-0

Related tdf#118547: Lock mark on protected sheet tab

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.